<template>
    <header class="header">
        <base-container>
            <div class="header__content">
                <header-logo />
                <header-authorization v-if="!isAuthorized" />
                <header-nav v-else />
            </div>
        </base-container>
    </header>
</template>

<script>
import HeaderAuthorization from 'components/templates/header/HeaderAuthorization';
import HeaderLogo from 'components/templates/header/HeaderLogo';
import HeaderNav from 'components/templates/header/HeaderNav';
import { mapGetters } from 'vuex';

export default {
    name: 'template-header',
    components: {
        HeaderAuthorization,
        HeaderLogo,
        HeaderNav
    },
    computed: {
        ...mapGetters({ isAuthorized: 'account/isAuthorized' })
    }
};
</script>

<style lang="sass">
    @import '~blocks/header';
</style>
